task multiqc {

	File bam
	File bai
	File bed_file

	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		
		bedtools multicov -bams ${bam} -bed ${bed_file} > revread_count.txt 
	
	>>>

	runtime {
		docker:docker
		cluster:cluster_config
		systemDisk:"cloud_ssd 40"
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File multiqc_html = "multiqc_report.html"
		Array[File] multiqc_txt = glob("multiqc_data/*")
	}
}